Bug 246254 - mount.nfs unnecessarily passes a socket to the kernel
mount.nfs unnecessarily passes a socket to the kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.0
All Linux
high Severity high
: ---
: ---
Assigned To: Steve Dickson
:
Depends On: 240780
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 12:31 EDT by Jeff Layton
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0651
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:15:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jeff Layton 2007-06-29 12:36:08 EDT
RHEL5's mount.nfs allocates a socket, binds it to a reserved port and then
passes that socket to the kernel. The kernel then ignores this socket and
creates one of its own. On a machine with a lot of NFS mount activity, this can
contribute to reserved port exhaustion.

This upstream patch should help alleviate this. We should consider its inclusion
for RHEL5:

http://linux-nfs.org/cgi-bin/gitweb.cgi?p=nfs-utils;a=commit;h=e6e19816da66cde1cc4fd062c898ce66a9b4e336
Comment 2 Steve Dickson 2007-07-05 15:36:49 EDT
Fixed in nfs-utils-1.0.9-23.el5.i386.rpm 
Comment 7 Steve Dickson 2007-08-31 15:05:17 EDT
fixed in nfs-utils-1.0.9-24.el5
Comment 8 Steve Dickson 2007-08-31 15:46:17 EDT
I'm using the following scripts and don't see the problem:
MOUNT=/bin/mount
for i in `seq 1 1020`
do
    [ ! -d /mnt/tree/$i ] && mkdir -p /mnt/tree/$i
    $MOUNT -o tcp rhel4hat:/home/tree/$i /mnt/tree/$i || exit 1
    ls -d /mnt/tree/$i;
done

and then to unmount I do:

#!/bin/bash
for i in `seq 1 1020`
do
    umount /mnt/tree/$i || exit 1;
done
Comment 17 errata-xmlrpc 2007-11-07 12:15:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0651.html

Note You need to log in before you can comment on or make changes to this bug.